#include "WaterPlane.hpp"
#include "Transform.hpp"
#include "EditorMarker.hpp"
#include "EntityName.hpp"
#include "../ui/ComponentRegistration.hpp"
#include "../ui/WaterPlaneEditor.hpp"

REGISTER_COMPONENT_GROUP("Water Plane", "Water", WaterPlane, WaterPlaneEditor)
{
	registry.registerComponent<WaterPlane>(
		"Water Plane", "Water",
		std::make_unique<WaterPlaneEditor>(),
		// Adder
		[](flecs::entity e) {
			if (!e.has<WaterPlane>()) {
				e.set<WaterPlane>({});
			}
		},
		// Remover
		[](flecs::entity e) {
			if (e.has<WaterPlane>()) {
				e.remove<WaterPlane>();
			}
		});
}
